<?php
/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* admin.php: last changed 22/05/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_GET['portal_id']))
{
	$portal_id = $_GET['portal_id'];
}
if (IsSet ($_GET['entry_id']))
{
	$entry_id = $_GET['entry_id'];
}
//used when a portal entry is added
if (IsSet ($_POST['portal_id']))
{
	$portal_id = $_POST['portal_id'];
}

$modoption = "list_portals";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}

if (IsSet ($_GET['pagename']))
{
	$pagename = sanitize($_GET['pagename'], 50, 'S');
}
if (IsSet ($_POST['portal_pagename']))
{
	$portal_pagename = sanitize($_POST['portal_pagename'], 50, 'S');
}
if (IsSet ($_POST['portal_number_of_items']))
{
	$portal_number_of_items = sanitize($_POST['portal_number_of_items'], 2, 'I');
}
if (IsSet ($_POST['portal_sort']))
{
	$portal_sort = sanitize($_POST['portal_sort'], 5 , 'I'); //sanitize, integer 5 pos.
}
if (IsSet ($_POST['portal_description']))
{
	$portal_description = sanitize($_POST['portal_description'], 250, 'H');
}

if (IsSet ($_POST['portal_module_loc']))
{
	$portal_module_loc = sanitize($_POST['portal_module_loc'], 60, 'S');
}
if (IsSet ($_POST['portal_link_type']))
{
	$portal_link_type = sanitize($_POST['portal_link_type'], 6, 'S');
}
if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1 , 'I'); //sanitize, integer 1 pos
}
if (IsSet ($_POST['portal_cols']))
{
	$portal_cols = sanitize($_POST['portal_cols'], 1 , 'I'); //sanitize, integer 1 pos
}
if (IsSet ($_POST['portal_welcome_text']))
{
	$portal_welcome_text = sanitize($_POST['portal_welcome_text'], 500 , 'H'); //sanitize the input, leave html tags in tact
}

$target = array ('_self', '_blank') ;
//supported modules for the protal module.
$module_array = array ("sn_ads", "sn_allbum", "sn_calendar", "sn_downloads", "sn_gbook", "sn_links", "sn_message" , "sn_news", "sn_newsletter", "sn_studentpages", "sn_pages");

load_language('', 'sn_portal'); //load language file

unset($module_array2) ;

foreach ($module_array as $value) 
{	
	if ($value != "sn_pages")
	{
	$query = "SELECT name FROM $table_modules WHERE location = '$value'";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
	$module_name = mysqli_result($result, 0, 0);
	$module_array2[$value] = $module_name ;		//fill array with key as location and value the module name from the module table.
	}
}
//add the pages table , which is not a module and thus handled as an exception
$module_array2['sn_pages'] = $sas_lang['portal_module_pages'] ;


include ("interface/header.inc.php");
print "
<script type=\"text/javascript\">
	$(document).ready(function() {
		$(\"#theForm\").validate(
		{
		errorLabelContainer: \"#ErrorBox\"
	}
		);
	});
	</script>";
	
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

print "<li class='active'><a href=\"index.php?option=modulemanager&module=$module\">$modulename</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

$table_portal_entries = $dbprefix . "m_portal_entries";
$table_portal_pages = $dbprefix . "m_portal_pages";

switch ($modoption) // start of switch
{

	case delete_portal_entry:
	
		mysqli_query($db,"DELETE FROM $table_portal_entries WHERE id = '$entry_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_portals&portal_id=$portal_id'</script>";
		
	break;
	
	case delete_portal_page:
	
		mysqli_query($db,"DELETE FROM $table_portal_entries WHERE portal_id = '$portal_id'");
		mysqli_query($db,"DELETE FROM $table_portal_pages WHERE id = '$portal_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_portals'</script>";
		
	break;
	
	case save_portal_page :
	
		if ($portal_id == 0)	//when $portal_id is 0 we have a new portal page
		{
			mysqli_query($db,"INSERT INTO $table_portal_pages (id, pagename, welcome_text, link_type)
				VALUES (NULL, '$portal_pagename', '$portal_welcome_text', '$portal_link_type')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_portal_pages 
								SET pagename='$portal_pagename' ,
								welcome_text='$portal_welcome_text' ,
								link_type = '$portal_link_type',
								cols = '$portal_cols'
								WHERE id = '$portal_id'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_portals'</script>";
	
	break;
	
	case save_portal_entry :
		
		if ($entry_id == 0)	//when portal_id is 0 we have a new portal
		{
			mysqli_query($db,"INSERT INTO $table_portal_entries (id, module_loc, description, count, portal_id, sort)
				VALUES (NULL, '$portal_module_loc', '$portal_description', '$portal_number_of_items', '$portal_id', '$portal_sort')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_portal_entries 
								SET module_loc = '$portal_module_loc', 
								description = '$portal_description' ,
								count = '$portal_number_of_items',
								portal_id = '$portal_id',
								sort = '$portal_sort'
								WHERE id = '$entry_id'");
		} 
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_portals&portal_id=$portal_id'</script>";
	
	break;
	
	case list_portals :
		
		print "<span class=\"sas_module_title\">$modulename</span>
				<p>" . $sas_lang['portal_module_intro'] ;
		
		$query = "SELECT id, pagename, welcome_text FROM $table_portal_pages";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$Recordcount = mysqli_num_rows($result); //number ofportals categories
		if ($Recordcount > 0)
		{
			print "<table border=\"0\">";
		
			while ($portal_list = mysqli_fetch_array($result)) //loop through pagenames
			{

				$query2 = "SELECT module_loc FROM $table_portal_entries WHERE portal_id = '$portal_list[0]' ";
				$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				$Recordcount1 = mysqli_num_rows($result2); //number of portal entries
		
				print "	<tr><td colspan=\"3\">&nbsp;</td></tr>
						<tr><td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
						onClick=\"if(confirm('$sas_lang[portal_module_page_delete_confirm]'))
						parent.location='index.php?option=modulemanager&module=$module&modoption=delete_portal_page&portal_id=$portal_list[0]';\">
						<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
						onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_portal_page&portal_id=$portal_list[0]'\">
						<td colspan=\"2\"><a href=index.php?option=modulemanager&module=$module&modoption=$modoption&portal_id=$portal_list[0]>" . $portal_list[1] . "</a> ($Recordcount1)</span></td></tr>";

				if ($portal_list[0] == $portal_id)
				{
					if ($Recordcount1 == 0)
					{
						print "<tr><td>&nbsp;</td><td>" . $sas_lang['portal_module_no_portals'] . "</span></td></tr>";
					}

						$query3 = "SELECT id, module_loc, description, sort FROM $table_portal_entries WHERE portal_id = '$portal_id' ORDER BY sort";
						$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING); 
		
						while ($entry_list = mysqli_fetch_array($result3))
						{
							print "<tr><td colspan=\"2\">&nbsp;</td>
								  <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
								  onClick=\"if(confirm('$sas_lang[portal_module_entry_delete_confirm]'))
								  parent.location='index.php?option=modulemanager&module=$module&modoption=delete_portal_entry&entry_id=$entry_list[0]&portal_id=$portal_list[0]';\">
								  <img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
								  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_portal_entry&portal_id=$portal_id&entry_id=$entry_list[0]'\">
								  &nbsp;<a href=\"index.php?option=modulemanager&module=$module&modoption=edit_portal_entry&entry_id=$entry_list[0]&portal_id=$portal_id\">".$module_array2[$entry_list[1]]."</a> (".$entry_list[3].")</td>
								  </tr>";
						}
				}
			}
		}
		else
		{
			print "<tr><td><p>" . $sas_lang['portal_module_addcategory_please'] . "</td></tr>" ;
		}
		print "</table><p><p><img border=\"0\" src=\"graphics/add.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&modoption=add_portal_page\">" . $sas_lang['portal_module_add_portal_page'] . "</a></span>
			   &nbsp;&nbsp;<img border=\"0\" src=\"graphics/add.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&pagename=$pagename&modoption=add_portal_entry\">" . $sas_lang['portal_module_add_entry'] . "</a></span><p>";
		print "<button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break;

	case add_portal_entry :
	
		print "<span class=\"sas_module_title\">$modulename</span><p>";
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['portal_module_add_entry'] . "</center><p></span>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/portal-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_portal_entry&pagename=$pagename&entry_id=0\" 
			   onsubmit=\"return checkinput(this);\">\n";
		print "<table cellspacing=\"2\" cellpadding=\"2\" bgcolor=\"#CECECE\">\n";
		
		$query = "SELECT id, pagename FROM $table_portal_pages ORDER BY pagename";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);  
	
		print "<tr><td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['portal_module_pagename'] . "&nbsp;</span></td>\n";
		
		print "<td class=\"sas_row_color_even\"><table border=\"0\"><tr>\n";
		$i = 0;
		$k = 1;
		
		while ($portal_list = mysqli_fetch_array($result))
		{
			$portal_name = stripslashes($portal_list[1]);
			
			if ($portal_list[2] == 1)
			{
				$is_protected = "(*)";
			}
			else
			{
				$is_protected = "";
			}
			
			print "<td class=\"sas_row_color_even\"><b>$portal_name $is_protected</b></span></td>\n";
			
			if ($k == 1)
			{
				print "<td><input type=\"radio\" value=\"$portal_list[0]\" name=\"portal_id\" checked></td><td width=\"50\">&nbsp;&nbsp;</td>\n";
			}
			else
			{
				print "<td><input type=\"radio\" value=\"$portal_list[0]\" name=\"portal_id\"></td><td width=\"50\">&nbsp;&nbsp;</td>\n";
			}
			$k++;
			
			if ($i == 2)
			{
				print "</tr><tr>\n";
				$i = 0;
			}
			else
			{
				$i++;
			}
		}
			if ($i == 1)	//add some empty cells
			{
				print "<td colspan=\"6\">&nbsp;</td><tr>\n";
			}
			
			if ($i == 2)
			{
				print "<td colspan=\"2\">&nbsp;</td><tr>\n";
			}
		
		print "</table></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['module_name'] . "&nbsp;</td>\n
				<td class=\"sas_row_color_even\"><select size=\"1\" name=\"portal_module_loc\">\n";

		foreach ($module_array2 as $key => $value) 
		{	
			print "<option value=\"$key\">$value</option>\n";
		}

		print "</select></td></tr>";
		print "<tr><td colspan=\"2\" valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['portal_module_description'] . "&nbsp;</td></tr>\n";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
		
		// call basic ckeditor for welcome text
		small_editor('portal_description', "", 'editor1');
		
		print "</td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_number_of_items'] . "&nbsp;</td>\n
		<td class=\"sas_row_color_even\"><input type=\"text\" size=4 class=\"textfield\" name=\"portal_number_of_items\" value=\"1\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_sort_order'] . "&nbsp;</td>\n
				<td class=\"sas_row_color_even\"><input type=\"text\" size=4 class=\"textfield\" name=\"portal_sort\"  value=\"1\"></td></tr>\n";
		print "</table>\n";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>\n";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>\n";
		print "</span></form>\n";
		
	break;

	case edit_portal_entry :
	
		$query = "SELECT module_loc, description, count, sort, portal_id FROM $table_portal_entries WHERE id = '".$entry_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$portal_list = mysqli_fetch_array($result);
	
		print "<span class=\"sas_module_title\">$modulename</span><p>\n";
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['portal_module_edit_portal_page'] . ":<p></span>\n";
		print "<form METHOD=\"POST\" enctype=\"multipart/portal-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_portal_entry&entry_id=$entry_id&portal_id=$portal_id\">\n
			   <table cellspacing=\"2\" cellpadding=\"2\" bgcolor=\"#CECECE\">\n";
	
		print "<tr><td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['portal_module_pagename'] . "&nbsp;</td>\n";
		
		$query1 = "SELECT id, pagename FROM $table_portal_pages ORDER BY pagename";
		$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING);
		
		print "<td class=\"sas_row_color_even\"><table border=\"0\"><tr>\n";
		$i = 0;
		
		while ($portal_pages = mysqli_fetch_array($result1))
		{
			$portal_name = stripslashes($portal_pages[1]);
			
			print "<td><b>$portal_name </b></td>\n";
			
			if ($portal_list[4] == $portal_pages[0])
			{
				print "<td><input type=\"radio\" value=\"$portal_pages[0]\" name=\"portal_id\" checked></td>\n";
			}
			else
			{
				print "<td><input type=\"radio\" value=\"$portal_pages[0]\" name=\"portal_id\"></td>\n";
			}
			
			print "<td width=\"50\">&nbsp;&nbsp;</td>\n";
			
			if ($i == 2)
			{
				print "</tr><tr>\n";
				$i = 0;
			}
			else
			{
				$i++;
			}
		}
			if ($i == 1)	//add some empty cells
			{
				print "<td colspan=\"6\">&nbsp;</td><tr>\n";
			}
			
			if ($i == 2)
			{
				print "<td colspan=\"2\">&nbsp;</td><tr>\n";
			}
		
		print "</table></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['module_name'] . " &nbsp;</span></td>\n
				<td class=\"sas_row_color_even\"><select size=\"1\" name=\"portal_module_loc\">\n";

		foreach ($module_array2 as $key => $value) 
		{	
			
			if ($portal_list[0] == $key)
			{
				print "<option selected value=\"$key\">$value</option>\n";
			}
			else
			{
				print "<option value=\"$key\">$value</option>\n";
			}
		}
		print "</select></td></tr>";
		print "<tr><td valign=\"top\" colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['portal_module_description'] . "&nbsp;</td></tr>\n";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
		
		// call basic ckeditor for welcome text
		small_editor('portal_description', $portal_list[1], 'editor1');
		
		print "</td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_number_of_items'] . "&nbsp;</td>\n
				<td class=\"sas_row_color_even\"><input type=\"text\" size=4 class=\"textfield\" name=\"portal_number_of_items\" value=\"$portal_list[2]\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_sort_order'] . "&nbsp;</td>\n
				<td class=\"sas_row_color_even\"><input type=\"text\" size=4 class=\"textfield\" name=\"portal_sort\" value=\"$portal_list[3]\"></td></tr>\n";
		print "</td></tr></table>\n";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_portals&portal_id=$portal_id'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>\n";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>\n";
		print "</form>\n";
	
	break;
	
	case edit_portal_page :
		
		$query = "SELECT welcome_text, pagename, link_type, cols FROM $table_portal_pages WHERE id = '".$portal_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$portal_list = mysqli_fetch_array($result);
		print "<span class=\"sas_module_title\">$modulename<br><br></span>\n";
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['portal_module_edit_portal_page'] . "</span><p>\n";
		print "<form name=\"theForm\" METHOD=\"POST\" enctype=\"multipart/portal-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_portal_page&portal_id=$portal_id\" 
			   onsubmit=\"return checkinput(this);\">\n";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">\n";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_pagename'] . "&nbsp;</td><td class=\"sas_row_color_even\">\n
				<input type=\"text\" size=30 class=\"textfield\" name=\"portal_pagename\" value=\"$portal_list[1]\"></td></tr>\n";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['portal_module_welcome_text'] . ":&nbsp;</td></tr>";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
		
		// call basic ckeditor for welcome text
		small_editor('portal_welcome_text', $portal_list[0], editor1);
		
		print "</td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_link_type'] . "</td><td class=\"sas_row_color_even\">" . $sas_lang['yes'] . "\n";

		if ($portal_list[2] == "_self")
		{
			print "<input type=\"radio\" class=\"radio\" value=\"_blank\" name=\"portal_link_type\">\n";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "\n";
			print "<input type=\"radio\" class=\"radio\" name=\"portal_link_type\" value=\"_self\" checked>\n";
		}
		else
		{
			print "<input type=\"radio\" class=\"radio\" value=\"_blank\" name=\"portal_link_type\" checked>\n";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "\n";
			print "<input type=\"radio\" class=\"radio\" name=\"portal_link_type\" value=\"_self\">\n";
		}
		print "</td></tr>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_cols'] . "</td><td class=\"sas_row_color_even\">1\n";
		
		if ($portal_list[3] == 1)
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"portal_cols\" checked>\n";
			print "&nbsp;&nbsp;&nbsp; 2\n";
			print "<input type=\"radio\" class=\"radio\" name=\"portal_cols\" value=\"2\">\n";
		}
		else
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"portal_cols\">\n";
			print "&nbsp;&nbsp;&nbsp; 2\n";
			print "<input type=\"radio\" class=\"radio\" name=\"portal_cols\" value=\"2\" checked>\n";
		}
		print "</td></tr>\n";
		
		print "</table>\n";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>\n";
	
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>\n";
		print "</form>\n";
		
	break;

	case add_portal_page :
		
		print "<span class=\"sas_module_title\">$modulename<br><br></span>\n";
		print "<span class=\"sas_module_subtitle\">".$sas_lang['portal_module_add_portal_page'] . "</span><p>\n";
		print "<div id=\"ErrorBox\"></div>";
		print "<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" enctype=\"multipart/portal-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_portal_page&portal_id=0\">\n";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">\n";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_pagename'] . " (*)&nbsp;</td>\n
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"30\" class=\"required\" name=\"portal_pagename\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['portal_module_welcome_text'] . ":&nbsp;</td></tr>\n";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
		
		// call basic ckeditor for welcome text
		small_editor('portal_welcome_text', "", 'editor1');
		
		print "</td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_link_type'] . "</td>
				<td class=\"sas_row_color_even\"> &nbsp;" . $sas_lang['yes'] . "\n";

		print "<input type=\"radio\" class=\"radio\" value=\"_blank\" name=\"portal_link_type\" checked>\n";
		print $sas_lang['no'] . "\n";
		print "<input type=\"radio\" class=\"radio\" name=\"portal_link_type\" value=\"_self\">\n";
		print "</td></tr>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['portal_module_cols'] . "</td>
				<td class=\"sas_row_color_even\"> &nbsp;1\n";
		
		print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"portal_cols\" checked>\n";
		print "&nbsp;&nbsp;&nbsp; 2\n";
		print "<input type=\"radio\" class=\"radio\" name=\"portal_cols\" value=\"2\">\n";
		print "</td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</td></tr>";
		print "</table>\n";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

} //end switch


include ("interface/footer.inc.php");
?>
