<?php 
#############################################################################
#
# This module can be used in SyndeoCMS
# SyndeoCMS is a website management system designed for schools.
#
############################################################################
# Idea         : Gien
# Module       : View_questions
# Script       : Admin.php
# Last changed : 07/07/2009
############################################################################
#                        LICENSE INFORMATION
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##############################################################################

if ( !defined('IN_SAS') )
{
	die("Hacking attempt");
}

if (IsSet ($_GET['suboption']))
{
	$suboption = sanitize($_GET['suboption'], 15, 'A');
}

load_language($cmsdir . '/', 'sn_questions'); //load language file
$table_questions = $dbprefix."m_questions";
$table_questions_cat = $dbprefix."m_questions_cat";
$date_format = $sas_config['dateformat'];

$pagetitle = addslashes($pagetitle) ;
$query = "SELECT id, welcome FROM $table_questions_cat WHERE pagename = '".$pagetitle."' LIMIT 1";
			
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount = mysqli_num_rows($result);

if ($RecordCount > 0)
{
	$cat_id = mysqli_result($result, 0, 0);
	$welcome = mysqli_result($result, 0, 1);
}

$query2 = "SELECT id, question FROM $table_questions WHERE cat_id = '".$cat_id."' AND publish = '1' ORDER BY sort"; //get the questions for the dropdown menu
$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);

print "<table class=\"sas_module_table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
print "<td span class=\"sas_module_title\">".$welcome."</span><br></td>";
print "</table>";

$query3 = "SELECT id, question FROM $table_questions WHERE cat_id = '".$cat_id."' AND publish = '1' ORDER BY sort"; //get the questions for the count
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$count = mysqli_num_rows($result3) ;
print "<font size=2>Aantal beschikbare vragen : ". $count ."<br><br>" ;


print "<form method=\"POST\" action=\"index.php?section=$section&page=$page\">
       <select onChange=\"form.submit();\" name=\"question\">" ;
print "<option value=\"0\">".$sas_config['questions_intro_menu']." </option>\n";
print "<option value=\"1\">=================================================</option>\n";

while ($question_list = mysqli_fetch_array($result2))
	{
		if($question_list[0] == $question)
		{
			print "<option selected value=\"$question_list[0]\">$question_list[1]</option>\n";
		}
		else
		{
			print "<option value=\"$question_list[0]\">$question_list[1]</option>\n";
		}
	}
print "</select></form>";

print "<br><table class=\"sas_module_table\" border=\"0\" cellpadding=\"1\" cellspacing=\"2\">";
print "<tr span class=\"sas_row_color_odd\">
           <td width=40% valign=top></span><span class=\"sas_module_subtitle\">".$sas_lang['questions_module_question']."</span></td>
           <td width=60% valign=top></span><span class=\"sas_module_subtitle\">".$sas_lang['questions_module_answer']."</span></td>
           </tr></span>";
print "</table>";

if (IsSet ($_POST['question']))
{
	$question = intval($_POST['question']); //sanitize, max 80 characters
	$query = "SELECT id, question, answer, sort FROM $table_questions WHERE id = '".$question."' AND cat_id = '".$cat_id."' ORDER BY sort";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
}

while ($questions_list = mysqli_fetch_array($result))
{
	print "<table class=\"sas_module_table\" border=\"0\" cellpadding=\"1\" cellspacing=\"2\">";
	
	$date1 = strftime($date_format,$questions_list[3]);
	
	print "<tr>
			   <td width=40% valign=top><span class=\"sas_module_text\">$questions_list[1]</span></td>
			   <td width=60% valign=top><span class=\"sas_module_text\">$questions_list[2]</span></td>
			   </tr>";
	print "</table>";
}

?>

